<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="css/app.css">
    <title>Blurt Account Recovery - Change Recovery Account</title>
</head>

<body>
    <div class="container pt-3">
        <a href="./">
            <h1 class="text-center">Blurt Account Recovery</h1>
        </a>
        <hr>
        <h2 class="text-center mb-5">Change Recovery Account</h2>

        <div class="row">
            <div class="offset-md-2 col-md-8">
                <p class="text-muted">Each account lists another account as their recovery account. The recovery account
                    has the ability to create account_recovery_requests for the account to recover. An account can
                    change their recovery account at any time, but there is a 30 day delay before the change takes effect.</p>

                <div class="alert" id="alert-change-rec"></div>

                <form id="change-recovery-account" class="mt-5 mb-5">
                    <div class="form-group">
                        <label for="change-rec-atr">Account To Recover</label>
                        <input type="text" name="change-rec-atr" id="change-rec-atr" class="form-control"
                            autocomplete="no">
                        <p class="form-text text-muted">Blurt username of the account whose recovery account you want to change.</p>
                    </div>

                    <div class="form-group">
                        <label for="change-rec-new">New Recovery Account</label>
                        <input type="text" name="change-rec-new" id="change-rec-new" class="form-control"
                            autocomplete="no">
                        <p class="form-text text-muted">Blurt username of the new recovery account. <span
                                class="text-info">Be careful! This account can request account recovery.</span></p>
                    </div>

                    <div class="form-group">
                        <label for="change-rec-pass" class="control-label">Master Password</label>
                        <input type="password" name="change-rec-pass" id="change-rec-pass" class="form-control">
                        <p class="form-text text-muted">MASTER PASSWORD of the account to recover.</p>
                    </div>

                    <button class="btn btn-success btn-block">Change Recovery Account</button>
                </form>
            </div>
        </div>

        <hr>
        <p class="text-center">
            Adapted for Blurt by <a href="https://blurt.blog/@tekraze">@tekraze</a>. Vote for <a href="https://blurtwallet.com/~witnesses?highlight=tekraze">@tekraze as witness</a>.
        </p>
        <p class="text-center">
            Forked from Hive Recovery tool by <a href="https://hive.blog/@reazuliqbal">@reazuliqbal</a>
        </p>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://unpkg.com/@hiveio/dhive@1.1.1/dist/dhive.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@blurtfoundation/blurtjs/dist/blurt.min.js"></script>
    <script src="js/app.js"></script>
</body>

</html>